 Smoothevilswi<-function(vari="evi",proj="ier",interpTF=TRUE,doyall=seq(2005009,2005361,by=8),doyuse=seq(2005041,2005313,by=8),bugfix=FALSE){
   if (bugfix) browser()
   
   
   # check if already there!
   if (file.exists(paste(datp,"/.RData",vari,".smooth.",proj,sep=""))) {
    print(paste("File: ",datp,"/.RData",vari,".smooth.",proj," already loess filtered. Skipping.",sep=""))
    return(NULL)
   }

   orig<-getr(paste(vari,".",proj,sep=""),path=datp)
   #orig<-orig[,,doyall%in%doyuse] #temporal subset
   
   doyout<-doyuse
   #add timestep for MODIS gap back
   doyout<-seq(doyout[1],doyout[length(doyout)],by=8)
   nclss<-1

   vmax<-array(1,dim=c(dim(orig)[1:2],nclss)) #output map of max value
   vmin<-array(0,dim=c(dim(orig)[1:2],nclss)) #output map of min value
   fval<-0.045*1400/diff(range(doyuse))

   vnew<-array(NA,dim=c(dim(orig)[1:2],length(doyout)))
   smoothcheck<-array(0,dim=dim(orig)[1:2])

   for(i in 1:dim(orig)[1]) {
    print(date())
    print(paste("  ",i,"of",dim(orig)[1]))
    
    for(j in 1:dim(orig)[2]) {
     vsub<-orig[i,j,]
     vsubgaps<- rle(is.na(vsub)) #gaplength
     vsubgapsn<-vsubgaps$lengths[vsubgaps$values==TRUE] #NAs at beginning don't count as gaps
     if(vsubgaps$values[1])vsubgapsn<-vsubgapsn[-1] #NAs at beginning don't count as gaps
     if(vsubgaps$values[length(vsubgaps$values)])vsubgapsn<-vsubgapsn[-length(vsubgapsn)] #NAs at end don't count as gaps
     
     if(length(which(!is.na(vsub)))>4 & !any(vsubgapsn>6)) {

      ## Attention: Original data is not starting from the same day of year for
      ## each pixel (differs up to 6 days).  This is not taken into account in
      ## the script.

      vsubsmooth<-try(loess(y~x,data=data.frame(y=vsub,x=doyuse),na.action=na.omit,span=fval),TRUE)

      if (inherits(vsubsmooth, "try-error")) {
       vnew[i,j,-(which(diff(doyuse)==16)+1)]<-vsub #make sure to account for potential gap in modis data (as in 2001169)
       next
      }
       
      if(length(vsubsmooth$x)>1) {

       ## alternative:
       if(interpTF & !all(is.na(vsubsmooth$x)) & !all(is.na(vsubsmooth$fitted)))
        vnew[i,j,]<-approx(x=as.numeric(vsubsmooth$x),y=as.numeric(vsubsmooth$fitted), xout=doyout)$y
       else

#      if(length(vsubsmooth)>1){

       ## alternative:
#       if(interpTF && vsubsmooth$x!="NaN" && vsubsmooth$fitted!="NaN")
#        vnew[i,j,]<-approx(x=as.numeric(vsubsmooth$x),y=as.numeric(vsubsmooth$fitted), xout=doyout)$y
#       else

       #original
#       if(interpTF)
#        vnew[i,j,]<-approx(x=as.numeric(vsubsmooth$x),y=as.numeric(vsubsmooth$fitted), xout=doyout)$y
#       else

        vnew[i,j,doyout%in%vsubsmooth$x]<-vsubsmooth$fitted
        smoothcheck[i,j]<-1
       }
      } else { #too many NAs or too long gaps for loess filtering; take original values
       vnew[i,j,-(which(diff(doyuse)==16)+1)]<-vsub #make sure to account for potential gap in modis data (as in 2001169)
      }
     } # j loop
    } #i loop
   
    
   print(date())
   assignr(paste(vari,".smooth.",proj,sep=""),vnew,path=datp)
   #assignr(paste(vari,".smooth.",proj,".check",sep=""),smoothcheck,path=datp)

   ## write smoothed tiles to netcdf
   library(RNetCDF)

   tile <- vnew

   nc <- create.nc(paste(mpath,"/",vari,".smooth.",proj,".nc",sep=""))
   dim.def.nc(nc,"south-north_grid_dimension", dimlength=dim(tile)[1])
   dim.def.nc(nc,"west-east_grid_dimension"  , dimlength=dim(tile)[2])
   dim.def.nc(nc,"timestep", dimlength=dim(tile)[3])
   var.def.nc(nc,"indices","NC_FLOAT", c(0,1,2))
   att.put.nc(nc, "indices", "missing_value", "NC_DOUBLE", -99999.9)
   var.put.nc(nc,"indices",tile)
   close.nc(nc)

   return(NULL)
 }
