# VPRM preprocessor configuration file
#
# this file is sourced by VPRMpreproc.r


# This is the working directory, must be writeable.
# It is where intermediate data is stored
mpath <- "/Net/Groups/BSY/scratch/cgerbig/VPRMpreproc/2010_STILT/working/"

# Path where input R data files are stored (for now this is just the SYNMAP).
rdatain <- "/Net/Groups/BSY/scratch/cgerbig/VPRMpreproc/2010_STILT/RDATAin/"

# Path where intemediate R data files will be saved.
rdataout <- "/Net/Groups/BSY/scratch/cgerbig/VPRMpreproc/2010_STILT/RDATAout/"

# Specify in which directory the output directory is created:
outdir   <- "/Net/Groups/BSY/data/WRF_STILT_prepro/VPRM/"

# Specify in which directory the synmap raw data are located:
synmapdir   <- "/Net/Groups/BSY/people/cgerbig/RData/Vegetation/synmap/"

# Path to MODIS Reprojection Tool (MRT).
# Can be downloaded at:
# http://igskmncnwb001.cr.usgs.gov/landdaac/tools/modis/index.asp
mrt <- "/Net/Groups/BSY/people/rkretsch/DATA/VPRMpreproc/tools/MODmrt/"

# Path to Land Data Operational Product Evaluation (LDOPE) tool.
# We use a modified version. See documentation for further information.
# Original code can be downloaded at:
# http://igskmncnwb001.cr.usgs.gov/landdaac/tools/ldope/index.asp
ldope <- "/Net/Groups/BSY/people/rkretsch/DATA/VPRMpreproc/tools/ldope/"

# Path to MODIS-Files.
# Needs subfolders which represent years, e.g. <MODISREP>/2004/ or <MODISREP>/2005/
modisrep <- "/Net/Groups/BGI/data/modisorig/MOD09A1/"

# MODIS version you'd like to have processed.
# This is important if more than one version of a MODIS file is present in <modisrep>
# e.g. MOD09A1.A2006049.h18v03.004.2006062223221.hdf (version 4)
#      MOD09A1.A2006049.h18v03.005.2006081112318.hdf (version 5)
# This variable tells the script which one to use.
# Set the variable to the version string with 3 digits, 
# e.g. modis_ver <- "004" (version 4)
# e.g. modis_ver <- "005" (version 5)
modis_ver <- "005"

# Name of your domain, this also affects naming of 
# the output directory, e.g. <OUTDIR>/VPRM_GEO_2005.
domainname <- "STILT_EU2"

# The year to process.
year <- 2010

# The last day of the year to process.
ldoy <- 365 #365 for full year, or fur current year last available day with MODIS data

# Lower left corner of domain (use lower left corner of grid cell as reference).
ll.lon <- -15  # longitude of lower left grid cell
ll.lat <- 33  # latitude of lower left grid cell
# Number of grid cells in south-north direction (Y axis).
ny  <- 480 #gives 73N
# Number of grid cells in west-east direction (X axis).
nx  <- 400 #gives 35E
# Grid spacing in south-north direction (Y axis) in degrees.
dyy <- 1/12
# Grid spacing in west-east direction (X axis) in degrees.
dxy <- 1/8

# This is the name of the SYNMAP.
# The preprocessor will read <RDATAIN>/.RDatasynmap.<SYNMAPTOUSE>.
# You may create a SYNMAP file which covers your domain using <PATH_TO_PREPROCESSOR>/RSources/gridEurope.r
synmaptouse <- "EU2"

# Variable to switch parallel execution of preprocessor on/off.
# There may be some portions of the code that can be executed
# concurrently on a cluster, e.g. loess filtering.
do_parallel <- TRUE

# Set the indices you'd like to have processed.
# Currently only evi and lswi available.
# e.g. EVI only:     indices <- "evi"
# e.g. LSWI only:    indices <- "lswi"
# e.g. EVI and LSWI: indices <- c("evi","lswi")
indices <- c("evi","lswi")
