#!/bin/bash
# submit preprocessor script to LSF

if [[ "$1" == "" || "$2" == "" ]]; then
   echo For MODIS data download need 2 arguments: user name and password for data access 
fi

ModisUser=$1
ModisPass=$2

bsub -q mpi_large -n 8 -R "rusage[mem=6000]" -M 10000000 <<- EOD
	export ModUsr=$ModisUser
	export ModPw=$ModisPass
	R --no-save --no-readline < $PWD/VPRMpreproc.r >& $PWD/lsf_run.log
EOD

